<html>
<head>
<title>Ogre::AllocatedObject&lt; Alloc &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AllocatedObject.html">AllocatedObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AllocatedObject&lt; Alloc &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AllocatedObject" -->
<p>Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called.  
 <a href="classOgre_1_1AllocatedObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>&gt;</code></p>

<p>Inherited by <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; Real &gt;</a>, <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; Real &gt;</a>, <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue&lt; Real &gt;</a>, <a class="el" href="classOgre_1_1AbstractNode.html">Ogre::AbstractNode</a>, <a class="el" href="classOgre_1_1AnimableValue.html">Ogre::AnimableValue</a>, <a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a>, <a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a>, <a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a>, <a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a>, <a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a>, <a class="el" href="classOgre_1_1ArchiveFactory.html">Ogre::ArchiveFactory</a>, <a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a>, <a class="el" href="classOgre_1_1AutoParamDataSource.html">Ogre::AutoParamDataSource</a>, <a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a>, <a class="el" href="classOgre_1_1BorderRenderable.html">Ogre::BorderRenderable</a>, <a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a>, <a class="el" href="classOgre_1_1Codec_1_1CodecData.html">Ogre::Codec::CodecData</a>, <a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a>, <a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a>, <a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a>, <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">Ogre::CompositionTechnique::TextureDefinition</a>, <a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a>, <a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a>, <a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">Ogre::CompositorInstance::RenderSystemOperation</a>, <a class="el" href="structOgre_1_1ConcreteNode.html">Ogre::ConcreteNode</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigDialog.html">Ogre::ConfigDialog</a>, <a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a>, <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a>, <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a>, <a class="el" href="classOgre_1_1ControllerManager.html">Ogre::ControllerManager</a>, <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue&lt; T &gt;</a>, <a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a>, <a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a>, <a class="el" href="classOgre_1_1D3D9Driver.html">Ogre::D3D9Driver</a>, <a class="el" href="classOgre_1_1D3D9DriverList.html">Ogre::D3D9DriverList</a>, <a class="el" href="classOgre_1_1D3D9ResourceManager.html">Ogre::D3D9ResourceManager</a>, <a class="el" href="classOgre_1_1D3D9VideoModeList.html">Ogre::D3D9VideoModeList</a>, <a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a>, <a class="el" href="classOgre_1_1DefaultWorkQueueBase_1_1RequestHandlerHolder.html">Ogre::DefaultWorkQueueBase::RequestHandlerHolder</a>, <a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a>, <a class="el" href="classOgre_1_1DynLib.html">Ogre::DynLib</a>, <a class="el" href="classOgre_1_1DynLibManager.html">Ogre::DynLibManager</a>, <a class="el" href="classOgre_1_1EdgeData.html">Ogre::EdgeData</a>, <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a>, <a class="el" href="structOgre_1_1GpuLogicalBufferStruct.html">Ogre::GpuLogicalBufferStruct</a>, <a class="el" href="structOgre_1_1GpuNamedConstants.html">Ogre::GpuNamedConstants</a>, <a class="el" href="classOgre_1_1GpuProgramParameters.html">Ogre::GpuProgramParameters</a>, <a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a>, <a class="el" href="classOgre_1_1GpuSharedParameters.html">Ogre::GpuSharedParameters</a>, <a class="el" href="classOgre_1_1GpuSharedParametersUsage.html">Ogre::GpuSharedParametersUsage</a>, <a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a>, <a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">Ogre::HardwareBufferManagerBase</a>, <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html">Ogre::HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1HighLevelGpuProgramFactory.html">Ogre::HighLevelGpuProgramFactory</a>, <a class="el" href="structOgre_1_1IlluminationPass.html">Ogre::IlluminationPass</a>, <a class="el" href="classOgre_1_1Image.html">Ogre::Image</a>, <a class="el" href="classOgre_1_1IndexData.html">Ogre::IndexData</a>, <a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1OptimisedSubMeshGeometry.html">Ogre::InstancedGeometry::OptimisedSubMeshGeometry</a>, <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">Ogre::InstancedGeometry::QueuedGeometry</a>, <a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">Ogre::InstancedGeometry::QueuedSubMesh</a>, <a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a>, <a class="el" href="structOgre_1_1IntersectionSceneQueryResult.html">Ogre::IntersectionSceneQueryResult</a>, <a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a>, <a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a>, <a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a>, <a class="el" href="classOgre_1_1Log.html">Ogre::Log</a>, <a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a>, <a class="el" href="classOgre_1_1ManualObject_1_1ManualObjectSection.html">Ogre::ManualObject::ManualObjectSection</a>, <a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a>, <a class="el" href="classOgre_1_1MeshSerializer_1_1MeshVersionData.html">Ogre::MeshSerializer::MeshVersionData</a>, <a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a>, <a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a>, <a class="el" href="classOgre_1_1Node.html">Ogre::Node</a>, <a class="el" href="classOgre_1_1Node_1_1DebugRenderable.html">Ogre::Node::DebugRenderable</a>, <a class="el" href="classOgre_1_1OSXCarbonContext.html">Ogre::OSXCarbonContext</a>, <a class="el" href="classOgre_1_1OSXCGLContext.html">Ogre::OSXCGLContext</a>, <a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a>, <a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a>, <a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a>, <a class="el" href="classOgre_1_1OverlayElement.html">Ogre::OverlayElement</a>, <a class="el" href="classOgre_1_1OverlayElementFactory.html">Ogre::OverlayElementFactory</a>, <a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1Page.html">Ogre::Page</a>, <a class="el" href="structOgre_1_1Page_1_1PageData.html">Ogre::Page::PageData</a>, <a class="el" href="classOgre_1_1PageContent.html">Ogre::PageContent</a>, <a class="el" href="classOgre_1_1PageContentCollection.html">Ogre::PageContentCollection</a>, <a class="el" href="classOgre_1_1PageContentCollectionFactory.html">Ogre::PageContentCollectionFactory</a>, <a class="el" href="classOgre_1_1PageContentFactory.html">Ogre::PageContentFactory</a>, <a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a>, <a class="el" href="classOgre_1_1PagedWorldSection.html">Ogre::PagedWorldSection</a>, <a class="el" href="classOgre_1_1PagedWorldSectionFactory.html">Ogre::PagedWorldSectionFactory</a>, <a class="el" href="classOgre_1_1PageManager.html">Ogre::PageManager</a>, <a class="el" href="classOgre_1_1PageStrategy.html">Ogre::PageStrategy</a>, <a class="el" href="classOgre_1_1PageStrategyData.html">Ogre::PageStrategyData</a>, <a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a>, <a class="el" href="classOgre_1_1ParticleAffector.html">Ogre::ParticleAffector</a>, <a class="el" href="classOgre_1_1ParticleAffectorFactory.html">Ogre::ParticleAffectorFactory</a>, <a class="el" href="classOgre_1_1ParticleEmitterFactory.html">Ogre::ParticleEmitterFactory</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a>, <a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a>, <a class="el" href="classOgre_1_1ParticleSystemRendererFactory.html">Ogre::ParticleSystemRendererFactory</a>, <a class="el" href="classOgre_1_1ParticleVisualData.html">Ogre::ParticleVisualData</a>, <a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a>, <a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a>, <a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a>, <a class="el" href="classOgre_1_1Plugin.html">Ogre::Plugin</a>, <a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a>, <a class="el" href="classOgre_1_1Profile.html">Ogre::Profile</a>, <a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a>, <a class="el" href="classOgre_1_1ProgressiveMesh.html">Ogre::ProgressiveMesh</a>, <a class="el" href="classOgre_1_1PropertyBase.html">Ogre::PropertyBase</a>, <a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a>, <a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a>, <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">Ogre::QueuedRenderableCollection</a>, <a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a>, <a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a>, <a class="el" href="classOgre_1_1RenderQueueGroup.html">Ogre::RenderQueueGroup</a>, <a class="el" href="classOgre_1_1RenderQueueInvocation.html">Ogre::RenderQueueInvocation</a>, <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html">Ogre::RenderQueueInvocationSequence</a>, <a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesManager.html">Ogre::RenderSystemCapabilitiesManager</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html">Ogre::RenderSystemCapabilitiesSerializer</a>, <a class="el" href="classOgre_1_1RenderTarget.html">Ogre::RenderTarget</a>, <a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a>, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a>, <a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a>, <a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a>, <a class="el" href="classOgre_1_1ResourceManager_1_1ResourcePool.html">Ogre::ResourceManager::ResourcePool</a>, <a class="el" href="classOgre_1_1Root.html">Ogre::Root</a>, <a class="el" href="classOgre_1_1RTShader_1_1Function.html">Ogre::RTShader::Function</a>, <a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">Ogre::RTShader::FunctionAtom</a>, <a class="el" href="classOgre_1_1RTShader_1_1Operand.html">Ogre::RTShader::Operand</a>, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html">Ogre::RTShader::Parameter</a>, <a class="el" href="classOgre_1_1RTShader_1_1Program.html">Ogre::RTShader::Program</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramManager.html">Ogre::RTShader::ProgramManager</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramSet.html">Ogre::RTShader::ProgramSet</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramWriter.html">Ogre::RTShader::ProgramWriter</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterFactory.html">Ogre::RTShader::ProgramWriterFactory</a>, <a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterManager.html">Ogre::RTShader::ProgramWriterManager</a>, <a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a>, <a class="el" href="classOgre_1_1RTShader_1_1SGMaterialSerializerListener.html">Ogre::RTShader::SGMaterialSerializerListener</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">Ogre::RTShader::ShaderGenerator</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">Ogre::RTShader::ShaderGenerator::SGMaterial</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGRenderObjectListener.html">Ogre::RTShader::ShaderGenerator::SGRenderObjectListener</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a>, <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">Ogre::RTShader::ShaderGenerator::SGTechnique</a>, <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html">Ogre::RTShader::SubRenderState</a>, <a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateFactory.html">Ogre::RTShader::SubRenderStateFactory</a>, <a class="el" href="classOgre_1_1SceneManager.html">Ogre::SceneManager</a>, <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a>, <a class="el" href="classOgre_1_1SceneManagerFactory.html">Ogre::SceneManagerFactory</a>, <a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a>, <a class="el" href="structOgre_1_1SceneQueryResult.html">Ogre::SceneQueryResult</a>, <a class="el" href="classOgre_1_1ScriptCompiler.html">Ogre::ScriptCompiler</a>, <a class="el" href="structOgre_1_1ScriptCompiler_1_1Error.html">Ogre::ScriptCompiler::Error</a>, <a class="el" href="classOgre_1_1ScriptCompilerManager.html">Ogre::ScriptCompilerManager</a>, <a class="el" href="classOgre_1_1ScriptLexer.html">Ogre::ScriptLexer</a>, <a class="el" href="classOgre_1_1ScriptParser.html">Ogre::ScriptParser</a>, <a class="el" href="classOgre_1_1ScriptTranslator.html">Ogre::ScriptTranslator</a>, <a class="el" href="classOgre_1_1ScriptTranslatorManager.html">Ogre::ScriptTranslatorManager</a>, <a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a>, <a class="el" href="classOgre_1_1ShadowCameraSetup.html">Ogre::ShadowCameraSetup</a>, <a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a>, <a class="el" href="classOgre_1_1ShadowTextureManager.html">Ogre::ShadowTextureManager</a>, <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html">Ogre::ShadowVolumeExtrudeProgram</a>, <a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html">Ogre::StaticGeometry::OptimisedSubMeshGeometry</a>, <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">Ogre::StaticGeometry::QueuedGeometry</a>, <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedSubMesh.html">Ogre::StaticGeometry::QueuedSubMesh</a>, <a class="el" href="classOgre_1_1StreamSerialiser.html">Ogre::StreamSerialiser</a>, <a class="el" href="structOgre_1_1StreamSerialiser_1_1Chunk.html">Ogre::StreamSerialiser::Chunk</a>, <a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a>, <a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a>, <a class="el" href="classOgre_1_1Technique.html">Ogre::Technique</a>, <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html">Ogre::TempBlendedBufferInfo</a>, <a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a>, <a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html">Ogre::Terrain::GpuBufferAllocator</a>, <a class="el" href="classOgre_1_1TerrainGlobalOptions.html">Ogre::TerrainGlobalOptions</a>, <a class="el" href="classOgre_1_1TerrainGroup.html">Ogre::TerrainGroup</a>, <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html">Ogre::TerrainGroup::TerrainSlot</a>, <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">Ogre::TerrainLayerBlendMap</a>, <a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">Ogre::TerrainMaterialGenerator</a>, <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Ogre::TerrainMaterialGenerator::Profile</a>, <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile_1_1ShaderHelper.html">Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper</a>, <a class="el" href="classOgre_1_1TerrainPaging.html">Ogre::TerrainPaging</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a>, <a class="el" href="structOgre_1_1TerrainQuadTreeNode_1_1LodLevel.html">Ogre::TerrainQuadTreeNode::LodLevel</a>, <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="structOgre_1_1TerrainQuadTreeNode_1_1VertexDataRecord.html">Ogre::TerrainQuadTreeNode::VertexDataRecord</a>, <a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1Timer.html">Ogre::Timer</a>, <a class="el" href="classOgre_1_1UserObjectBindings.html">Ogre::UserObjectBindings</a>, <a class="el" href="classOgre_1_1UserObjectBindings_1_1Attributes.html">Ogre::UserObjectBindings::Attributes</a>, <a class="el" href="classOgre_1_1VertexBufferBinding.html">Ogre::VertexBufferBinding</a>, <a class="el" href="classOgre_1_1VertexCacheProfiler.html">Ogre::VertexCacheProfiler</a>, <a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a>, <a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a>, <a class="el" href="classOgre_1_1VertexElement.html">Ogre::VertexElement</a>, <a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a>, <a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a>, <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a>, and <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">Ogre::WorkQueue::Response</a>.</p>

<p><a href="classOgre_1_1AllocatedObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;class Alloc&gt;<br/>
class Ogre::AllocatedObject&lt; Alloc &gt;</h3>

<p>Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called. </p>
<p>Requires a template parameter identifying the memory allocator policy to use (e.g. see <a class="el" href="classOgre_1_1StdAllocPolicy.html" title="A &quot;standard&quot; allocation policy for use with AllocatedObject and STLAllocator.">StdAllocPolicy</a>). </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00057">57</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a366445eb206e55a2199267b8b9089ebb"></a><!-- doxytag: member="Ogre::AllocatedObject::AllocatedObject" ref="a366445eb206e55a2199267b8b9089ebb" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::<a class="el" href="classOgre_1_1AllocatedObject.html">AllocatedObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00060">60</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a499773d35ca98b2df7c2699fc8c1bea2"></a><!-- doxytag: member="Ogre::AllocatedObject::~AllocatedObject" ref="a499773d35ca98b2df7c2699fc8c1bea2" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::~<a class="el" href="classOgre_1_1AllocatedObject.html">AllocatedObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00063">63</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::AllocatedObject::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::AllocatedObject::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::AllocatedObject::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::AllocatedObject::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::AllocatedObject::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::AllocatedObject::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::AllocatedObject::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::AllocatedObject::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::AllocatedObject::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::AllocatedObject::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
